1. anon(3075830)'s Avatar
    Hi all. I know people have created similar threads, but in all the ones I read that have the same issue as me, no one seems to have actually resolved the problem.

    I am running OS 7.1 on what's almost a brand new 9900. I did an Desktop Manager upgrade yesterday from OS 7.0. It was with my official carrier.

    When I tried updating App World, it gave me this error:

    "Invalid manifest or application descriptor. the midlet-name attribute is missing."

    I was able to get past the initial page on blackberry.com/appworld, and then also the part where you select your language. After I select English, it takes a long time to load and either times out or gives me that error message.

    I've tried multiple battery pulls, while on, deleted App World, tried to download fresh, no luck. I'm still getting the same error.

    People have suggested reinstalling the OS, but that seems counter-productive as I literally just upgraded to 7.1 yesterday. Everything else is seemingly working fine.

    Some people have suggested downloading App World from Desktop Manager (not sure I know how to do this). I'm hoping there's another way to resolve this from the device as I have a long day ahead with no Google Maps, and only have DM at home!

    Thanks for your help all.
    08-29-12 12:32 PM
  2. Diok_Mhf's Avatar
    i suggest you wipe the device and reinstall os tru loader.exe... alot of users have hard times upgrading thru dm.. so you dont know if anything is corrupted.. so just reinstall os
    08-29-12 01:02 PM
  3. anon(3075830)'s Avatar
    Thanks for the suggestion, diok_mhf. That's what people suggested on other similar threads ... it would appear no one knows the reason for this issue. I'm really trying to avoid a complete wipe/reinstall as it's just so time consuming. sigh.
    08-29-12 04:50 PM
  4. anon(3075830)'s Avatar
    it just seems preposterous to me to have to wipe and reinstall the operating system on what is effectively a brand new phone (has been out of the box for 1 month). The OS was updated from 7.0 to 7.1 through the official carrier, and I'm trying to install a RIM app. If it was a 3rd party app, I could sort of understand, but jeez...

    So many people tried to convince me to go Android or iPhone, but I bought the 9900 because I have faith in RIM. I hope it wasn't misplaced, as this is not a good first experience with the Bold 9900.
    08-29-12 05:10 PM
  5. anon(3075830)'s Avatar
    Well folks, I managed to find a workaround without having to wipe OS or use DM.

    Just downloaded a .jad OTA. For anyone having trouble with app world, here's a great site: http://pandyarushi.blogspot.ca/2012/...1-hanging.html

    I downloaded the one for 7.1 and it seems to be fairly up to date, as I wasn't forced to download an update like another OTA I found.
    08-29-12 06:03 PM
  6. shijobaby's Avatar
    03-05-13 11:07 AM
LINK TO POST COPIED TO CLIPBOARD